%define name		rh-jonas-docs
%define version		4.6.6
%define release		1

%define summary		Red Hat JOnAS Documentation

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
BuildArch:      noarch
Group: Applications/Internet

# Source files

Source0: JonasUsersGuide-%{version}.pdf
# Same Tutorial as for 4.5.3
#Source1: JonasTutorial-%{version}.pdf
Source1: JonasTutorial-4.5.3.pdf
# Same Install Guide as 4.6.3
#Source2: RHAPSInstallGuide-%{version}.pdf
Source2: RHAPSInstallGuide-4.6.3.pdf
Source3: RELEASE-NOTES.RHAPS
Source4: RELEASE-NOTES.RHDS

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# --------------------------------------------------------------------
# Execution dependencies
# --------------------------------------------------------------------

# Disable dependency to allow installation of the documentation only
# Another possibility would be to require jonas-client instead
#Requires:	jonas = 0:%{version}

# --------------------------------------------------------------------
# End Execution dependencies
# --------------------------------------------------------------------

%description
The %{name} package contains PDF versions of the Red Hat JOnAS documentation.
It also contains release notes for RHAPS and RHDS.

%prep

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/jonas-%{version}

# ------------------------------------------
# Install
# ------------------------------------------
%install
(cd $RPM_BUILD_ROOT%{_datadir}/doc/jonas-%{version}; \
cp %{SOURCE0} JonasUsersGuide.pdf ; \
cp %{SOURCE1} JonasTutorial.pdf ; \
cp %{SOURCE2} RHAPSInstallGuide.pdf ; \
cp %{SOURCE3} RELEASE-NOTES.RHAPS ; \
cp %{SOURCE4} RELEASE-NOTES.RHDS ; \
)

# ------------------------------------------


# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------

%files
%defattr(644,root,root,755)
%dir %{_datadir}/doc/jonas-%{version}
%{_datadir}/doc/jonas-%{version}/JonasUsersGuide.pdf
%{_datadir}/doc/jonas-%{version}/JonasTutorial.pdf
%{_datadir}/doc/jonas-%{version}/RHAPSInstallGuide.pdf
%{_datadir}/doc/jonas-%{version}/RELEASE-NOTES.RHAPS
%{_datadir}/doc/jonas-%{version}/RELEASE-NOTES.RHDS

# ------------------------------

%changelog
* Thu Dec 22 2005 Fernando Nasser <fnasser@redhat.com> - 4.6.6-1
- Update to 4.6.6

* Mon Dec 05 2005 Fernando Nasser <fnasser@redhat.com> - 4.6.3-2
- Add info about Struts advisory and note about undeployment of
  applications on upgrade.

* Tue Nov 29 2005 Fernando Nasser <fnasser@redhat.com> - 4.6.3-1
- Update to 4.6.3

* Thu Nov 24 2005 Fernando Nasser <fnasser@redhat.com> - 4.6.2-2
- Small fixes to Install Guide

* Fri Nov 18 2005 Fernando Nasser <fnasser@redhat.com> - 4.6.2-1
- Update to 4.6.2
- New version of install guide.

* Thu Oct 27 2005 Fernando Nasser <fnasser@redhat.com> - 4.6.1-1
- Update to 4.6.1
- New version of user's guide.

* Tue Sep 13 2005 Deepak Bhole <dbhole@redhat.com> 4.5.3-4
- New version of install guide.

* Fri Sep 09 2005 Andrew Overholt <overholt@redhat.com> 4.5.3-3
- New version of install guide.

* Thu Sep 08 2005 Andrew Overholt <overholt@redhat.com> 4.5.3-2
- RHDS release notes change.

* Thu Sep 08 2005 Andrew Overholt <overholt@redhat.com> 4.5.3-1
- Update to 4.5.3.

* Wed Aug 10 2005 Fernando Nasser <fnasser@redhat.com> - 4.5.2-1
- Update to 4.5.2

* Tue Jul 05 2005 Fernando Nasser <fnasser@redhat.com> - 4.4.2-3
- Update release notes for RHAPS

* Thu Jun 30 2005 Fernando Nasser <fnasser@redhat.com> - 4.4.2-2
- Add ownership to docs directory so it gets removed if this is
  the last package with files there to be uninstalled

* Thu Jun 30 2005 Fernando Nasser <fnasser@redhat.com> - 4.4.2-1
- Update to 4.4.2
- Split source files
- Remove dependency on the jonas package

* Thu Mar 24 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-2
- Relax jonas version dependency as docs for 4.3.5 are the same as for 4.3.3

* Thu Mar 24 2005 Fernando Nasser <fnasser at redhat.com> - 4.3.3-1
- Update JOnAS User's Guide to 4.3.3
- Ditto for Tutorial and Install Guide
- Add RELEASE-NOTES.RHAPS
- Add RELEASE-NOTES.RHDS
- List files by name, not using glob
- Fix typo that left tar ball behind

* Wed Oct 27 2004 Fernando Nasser <fnasser@redhat.com> - 4.1.4-2
- Rebuild

* Wed Oct 27 2004 Fernando Nasser <fnasser@redhat.com> - 4.1.4-1
- Update User Guide version to 4.1.4

* Tue Jul 27 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-3
- New versions of the install guide and tutorial

* Fri Jul 23 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-2
- New version of the install guide

* Thu Jul 22 2004 Andrew Overholt <overholt at redhat.com> - 4.1.2-1
- Initial build
